Hi all,
I´ve seen a section related on installation in a Synology NAS in documentation section and I would like to contribute adding another one to be used with a QNAP NAS.
Instructions updated at 02-july-2021 since user @chaznik confirms that the official Mono version from QNAP doesn´t work in WebGrab++ V3.0
In order to use WebGrabPlus+ in a QNAP NAS we need to install Mono from the QNAP Club Repository (which is called Qmono)
https://qnapclub.eu/en/qpkg/193
The QNAP Club version is more up to date.
The recommendation is to use Mono (QMono) from QNAP Club version to assure 100% the succed with WebGrabPlus+ with previous and current versions.
Since there are several versions/models of NAS in QNAP you will have to know which is the complete path where mono has been installed. To do that we will need to run this from command line:
In case you have installed Qmono (QNAP Club Repository version):
cd $(dirname $(getcfg -f /etc/config/smb.conf Public path))/.qpkg/Qmono
In case you have installed mono (from QNAPClub Store):
cd $(dirname $(getcfg -f /etc/config/smb.conf Public path))/.qpkg/mono
In case (NAS Model X86_64) will have this route:
/share/CACHEDEV1_DATA/.qpkg/Qmono/bin/mono
The script to run WebGrabPlus is:
/share/CACHEDEV1_DATA/.qpkg/Qmono/bin/mono WebGrab+Plus.exe "$(pwd)"
In case (NAS Model arm-x19) will have this route (thanks to @Icke1260):
/share/MD0_DATA/.qpkg/Qmono/bin/mono
The script to run WebGrabPlus is (thanks to @Icke1260):
/share/MD0_DATA/.qpkg/Qmono/bin/mono ~/.wg++/bin/WebGrab+Plus.exe "$(pwd)"
I hope can help other QNAP users to run WG+ on your NAS.
Best regards.
--------------------------------------------------------------------------
In order to use WebGrabPlus+ in a QNAP NAS we need to install Mono.
There are two packages of Mono that can be installed in your NAS:
1) From the QNAP Store
https://www.qnap.com/en/app_center/
2) From the QNAP Club Repository (which is called Qmono)
https://qnapclub.eu/en/qpkg/193
Both of them are good to run WebGrabPlus+ but the QNAP Club version is more up to date. However you must run Qmono with the complete path, because doesn´t export the path to run it only with the command.
My recommendation is use the QNAP Club version to assure 100% the succed with WebGrabPlus+
Since there are several versions/models of NAS in QNAP you will have to know which is the complete path where mono has been installed. To do that we will need to run this from command line:
In case you have installed Qmono (QNAP Club Repository version):
cd $(dirname $(getcfg -f /etc/config/smb.conf Public path))/.qpkg/Qmono
In case you have installed mono (QNAP Store):
cd $(dirname $(getcfg -f /etc/config/smb.conf Public path))/.qpkg/mono
In my case (NAS Model X86_64) I have this route:
/share/CACHEDEV1_DATA/.qpkg/Qmono/bin/mono
So, my script to run WebGrabPlus is:
/share/CACHEDEV1_DATA/.qpkg/Qmono/bin/mono WebGrab+Plus.exe "$(pwd)"
I hope can help other QNAP users to run WG+ on your NAS.
Best regards.
Thank you very much! After that I searched for a long time. On the obvious solution (to search here) you always come last ;)
In my case (Qmono arm-x19 (TS-212P) is the call:
/share/MD0_DATA/.qpkg/Qmono/bin/mono ~/.wg++/bin/WebGrab+Plus.exe "$(pwd)"
Glad to read this...
I hope admins can include my instructions in the Installation section over Documentation to be more visible :-)
Can you explain where to extract the file:
WebGrabPlus_V2.1_install.tar.gz
?
In the catalog with Mono?
Not sure to understand your questions...I´ll try to answer them:
You can install WebGrabPlus in any place. I used to install it in the .qpkg folder (where the rest of apps are installed) just to run it in a safety place where the rest of users can´t touch easily. But you can do it also in the home folder of your user. So I think there isn´t any restriction.
I don´t know what you mean... Mono can be installed from the App Center using the two options explained in my first post.
Depends of the option used you will run it also as I explained in the post.
Step by step.
I downloaded this file:
http://www.webgrabplus.com/sites/default/files/download/SW/V2.1.0/WebGra...
Then I placed it:
/share/CE_CACHEDEV1_DATA/.qpkg/WebGrabPlus
There in WinSCP I used unpack, What created the catalog for me:
/share/CE_CACHEDEV1_DATA/.qpkg/WebGrabPlus/.wg++
There I opened the instal file. Who created the WebGrab ++. Config file
When I try to run run.sh I get an error.
My location for Qmono is:
/share/CE_CACHEDEV1_DATA/.qpkg/Qmono
What should I do now to run it?
So, you know where is mono located in your system and also you have installed WebGrabPlus in the next location:
/share/CE_CACHEDEV1_DATA/.qpkg/WebGrabPlus/.wg++
Ok. So to run it you have to take this path:
/share/CACHEDEV1_DATA/.qpkg/Qmono/bin/mono /share/CE_CACHEDEV1_DATA/.qpkg/WebGrabPlus/.wg++/bin/WebGrab+Plus.exe "folder_path_where_site.ini_and_config_files_are_placed"
If you want to use the run.sh script you should install mono from the Official QNAP repository... but you will be under the risk to be outdated to run WebGrabPlus+.
So, my suggestion is run the script as I showed you above.
I am using Qmono with qnapclub.eu.
I understand that I should modify the file run.sh?
#!/bin/bash
[code]#/**
# * @file run.sh
# * @brief just start WebGrab+Plus
# * @author Francis De Paemeleere
# * @date 31/07/2016
# */
#backup the current working dir
WG_BCKP_DIR="$(pwd)"
function quit {
#restore previous working dir
cd "$WG_BCKP_DIR"
exit $1;
}
# check if mono can be found
which mono >/dev/null 2>&1 || { echo >&2 "Mono required, but it's not installed."; quit 1; }
# get the absolute path of the link (or relative path)
if [ -L $0 ] ; then
DIR=$(dirname $(readlink -f $0)) ;
else
DUTDIR=$(dirname $0) ;
if [ "${DUTDIR:0:1}" = "/" ]; then
DIR="$DUTDIR";
else
DIR=$PWD/$(dirname $0) ;
fi
fi ;
mono "$DIR/bin/WebGrab+Plus.exe" "$DIR"
quit 0; [/code]
Or do I have to move something?
Yes, if you want use the run.sh script you should modify the script removing the mono part:
# check if mono can be found
which mono >/dev/null 2>&1 || { echo >&2 "Mono required, but it's not installed."; quit 1; }
And changing the line:
mono "$DIR/bin/WebGrab+Plus.exe" "$DIR"
For this one:
/share/CACHEDEV1_DATA/.qpkg/Qmono/bin/mono "$DIR/bin/WebGrab+Plus.exe" "$DIR"
With these changes should work.
I think it worked. I had to change my path.
/// Edit
I almost forgot. Thank you.
Thank you for the instructions. I would just like to point out that the new version (WebGrab++ V3.0) works only with Qmono installed from QNAPClub. The MONO from official's QNAP Store is old and scritp did not work with him.
Thanks @chaznik I´ve updated the main post to select only the QNAP Club version of Mono (QMono)
I´ve included also the scripts mentioned by Icke1260 for arm-19 versions.
Thanks all and best regards.